Flyme 5 to flyme 4

Hey guys i need your help.
I want to go back to flyme 4.2.8.2 I or A
but everytime i go to install the firmware i get firmware corrupt.
I am currently on Flyme 5.6.1.19.
thank you

Looks like your connection to Meizufans was lost, please wait while we try to reconnect.